﻿using Dundas.BI.Extensibility;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace MyCompany.Sample.CustomAccountsProviderSample
{
    /// <summary>
    /// This class contains the package information about the extension package.
    /// </summary>
    public class CustomAccountProviderSamplePackageInfo : ExtensionPackageInfo
    {
        /// <summary>
        /// Gets the name of the extension package author.
        /// </summary>
        public override string Author
        {
            get { return "Dundas Data Visualization Sample Author"; }
        }

        /// <summary>
        /// Gets the copyright text associated with the extension package.
        /// </summary>
        public override string Copyright
        {
            get { return "Dundas Data Visualization, Inc."; }
        }

        /// <summary>
        /// Gets the localized display name of the extension package.
        /// </summary>
        public override string DisplayName
        {
            get {   return "Custom Account Provider Sample Package";  }
        }

        /// <summary>
        /// Gets the unique identifier of the extension package.
        /// </summary>
        public override Guid Id
        {
            get { return new Guid("c4889691-ab7f-452b-ba16-fb3bcda46724"); }
        }

        /// <summary>
        /// Gets the name of the extension package.
        /// </summary>
        public override string Name
        {
            get { return "Custom Account Provider Sample Package"; }
        }

        /// <summary>
        /// Gets the version of the extension package.
        /// </summary>
        public override Version Version
        {
            get { return new Version(0, 0, 1); }
        }
    }
}
